.multi-select {
    .multiselect__option--highlight::after {
        display: none;
    }

    .popper-controlled-dropdown {
        top: 0 !important;
        left: 0 !important;
    }

    .checkbox:hover,
    .multiselect__option {
        color: var(--color-neutral-grey-100);
    }

    .multiselect--active .multiselect__select {
        transform: none !important;
    }

    .multiselect__select:before {
        visibility: hidden;
    }

    .multiselect__content-wrapper[data-popper-escaped] {
        visibility: hidden;
    }

    .multiselect__option,
    .multiselect__option--selected {
        background-color: white;
        font-weight: 500;
        font-size: 0.75rem;
        color: var(--color-neutral-grey-100) !important;
        border-radius: 0.625rem;

        &:hover {
            background-color: var(--color-blue-cyan-10);
        }
    }

    .multiselect__content-wrapper {
        overscroll-behavior: contain;
    }
}

.multi-select {

    .checkbox {
        position: relative;
        cursor: pointer;

        display: grid;
        grid-template-columns: 1em auto;
        gap: 1em;

        input[type="checkbox"] {
            appearance: none;
            width: 1.25em;
            height: 1.25em;
            border: 0.15em solid currentColor;
            border-radius: 0.15em;
            transform: translateY(0.075em);
            background: white;
            /* ...existing styles */
            display: grid;
            place-content: center;
            color: var(--color-neutral-pearl-20);
        }

        input[type="checkbox"]::before {
            content: "";
            width: 0.65em;
            height: 0.65em;
            transform: scale(0);
            transition: 120ms transform ease-in-out;
            box-shadow: inset 1em 1em var(--color-neutral-grey-100);

            transform-origin: bottom left;
            clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
        }

        input[type="checkbox"]:checked::before {
            transform: scale(1);
        }

    }

    .multiselect {
        min-height: 2.1875rem;
    }

    :not(.multiselect--disabled) .multiselect__tags {
        border: 0.0625rem solid var(--color-neutral-grey-100);
        min-height: 2.1875rem;
        padding: 0.375rem 2.5rem 0 0.5rem;

        .multiselect__input {
            margin-bottom: 0.375rem;
            min-height: 0.9375rem;
        }
    }

    .tag {
        display: inline-block;
        padding-top: 0.0625rem;
        border: 0.0938rem solid var(--color-neutral-grey-100);
        .remove-tag-button {
            border: none;
            background: url('/assets/images/icons/closed.svg') no-repeat top left;
            height: 0.75rem;
            width: 0.75rem;
            cursor: pointer;
        }
    }

    .multiselect--disabled {
        background: none;
        pointer-events: visible;
        opacity: 1;

        .multiselect__current, .multiselect__select, .multiselect__single {
            background: transparent;
            color: var(--color-neutral-grey-50);
        }

        .multiselect__tags {
            cursor: not-allowed;
            border-color: var(--color-neutral-grey-10);
            background-color: var(--color-neutral-grey-10);
            color: var(--color-neutral-grey-50);
        }
    }

    ul.multiselect__content {
        max-width: 100%;

        .multiselect__option .break-spaces {
            white-space: break-spaces;
        }
    }

    .columns:not(:last-child) {
        margin-bottom: 0;
    }

    .columns:last-child {
        margin-bottom: 0;
    }

    .overflow-ellipsis {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        max-width: 40ch;
        display: inline-block;
    }
    .multiselect__single {
        margin-bottom: 0;
    }

    .multiselect__placeholder {
        display: none;
    }
}